Templates
List templates
GET
/
v1
/
templates
List templates
curl --request GET \
--url https://api.wazapin.com/v1/templatesconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/templates"
response = requests.get(url)
print(response.text){
"items": [
{
"body_text": "<string>",
"category": "<string>",
"components_json": "<unknown>",
"created_at": "<string>",
"header_format": "<string>",
"id": "<string>",
"language": "<string>",
"name": "<string>",
"organization_id": "<string>",
"status": "<string>",
"updated_at": "<string>",
"builder_json": "<unknown>",
"builder_version": 123,
"buttons": [
{
"text": "<string>",
"type": "<string>",
"example": "<string>",
"flow_action": "<string>",
"flow_id": "<string>",
"navigate_screen": "<string>",
"otp_type": "<string>",
"package_name": "<string>",
"phone_number": "<string>",
"signature_hash": "<string>",
"url": "<string>"
}
],
"channel_id": "<string>",
"editor_mode": "<string>",
"footer_text": "<string>",
"header_handle": "<string>",
"header_text": "<string>",
"meta_synced_at": "<string>",
"meta_template_id": "<string>",
"quality_score": "<string>",
"rejection_reason": "<string>",
"variables": [
{
"component_type": "<string>",
"display_name": "<string>",
"example_value": "<string>",
"id": "<string>",
"position": 123,
"source_type": "<string>",
"source_key": "<string>"
}
]
}
],
"meta": {
"has_more": true,
"limit": 123,
"cursor": "<string>",
"next_cursor": "<string>",
"offset": 123,
"total": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I
List templates
curl --request GET \
--url https://api.wazapin.com/v1/templatesconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/templates"
response = requests.get(url)
print(response.text){
"items": [
{
"body_text": "<string>",
"category": "<string>",
"components_json": "<unknown>",
"created_at": "<string>",
"header_format": "<string>",
"id": "<string>",
"language": "<string>",
"name": "<string>",
"organization_id": "<string>",
"status": "<string>",
"updated_at": "<string>",
"builder_json": "<unknown>",
"builder_version": 123,
"buttons": [
{
"text": "<string>",
"type": "<string>",
"example": "<string>",
"flow_action": "<string>",
"flow_id": "<string>",
"navigate_screen": "<string>",
"otp_type": "<string>",
"package_name": "<string>",
"phone_number": "<string>",
"signature_hash": "<string>",
"url": "<string>"
}
],
"channel_id": "<string>",
"editor_mode": "<string>",
"footer_text": "<string>",
"header_handle": "<string>",
"header_text": "<string>",
"meta_synced_at": "<string>",
"meta_template_id": "<string>",
"quality_score": "<string>",
"rejection_reason": "<string>",
"variables": [
{
"component_type": "<string>",
"display_name": "<string>",
"example_value": "<string>",
"id": "<string>",
"position": 123,
"source_type": "<string>",
"source_key": "<string>"
}
]
}
],
"meta": {
"has_more": true,
"limit": 123,
"cursor": "<string>",
"next_cursor": "<string>",
"offset": 123,
"total": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}